WSE · Schnittstellen
Abrechnung & Belege
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Abrechnung & Belege
ERP API Dokumentation
Get Invoice
Return one invoice including all positions and calculated totals.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/invoices/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "invoice_date": "2024-01-01",
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Patch Invoice
Update editable invoice header fields. Invoice positions use separate endpoints.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Request Body schema: application/jsonrequired
Invoice Date (string) or Invoice Date (null) (Invoice Date) | |
Any of string <date> (Invoice Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Customer Id (string) or Customer Id (null) (Customer Id) | |
Any of string <uuid4> (Customer Id) | |
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) | |
Any of integer (Debitor Account No) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Reference Number (string) or Reference Number (null) (Reference Number) | |
Any of <= 255 characters string (Reference Number) <= 255 characters | |
Salutation (string) or Salutation (null) (Salutation) | |
Any of string (Salutation) | |
Name (string) or Name (null) (Name) | |
Any of string (Name) | |
Firstname (string) or Firstname (null) (Firstname) | |
Any of string (Firstname) | |
Company (string) or Company (null) (Company) | |
Any of string (Company) | |
Street (string) or Street (null) (Street) | |
Any of string (Street) | |
House Number (string) or House Number (null) (House Number) | |
Any of string (House Number) | |
House Number Addition (string) or House Number Addition (null) (House Number Addition) | |
Any of string (House Number Addition) | |
Postcode (string) or Postcode (null) (Postcode) | |
Any of string (Postcode) | |
City (string) or City (null) (City) | |
Any of string (City) | |
District (string) or District (null) (District) | |
Any of string (District) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_date": "2019-08-24",
- "service_date": "2019-08-24",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2019-08-24",
- "reference_number": "string",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "invoice_date": "2024-01-01",
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Delete Invoice
Delete an editable invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/invoices/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 409
- 422
- 500
- default
nullGet All Invoices
Return paginated invoices including calculated totals.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "invoice_date" Enum: "invoice_no" "invoice_prefix" "invoice_date" "service_date" "due_date" "status" "company" "name" "firstname" "city" "postcode" Field used for sorting |
| sort_order | string (Sort Order) Default: "desc" Enum: "asc" "desc" Sort direction |
Invoice No (integer) or Invoice No (null) (Invoice No) Filter by invoice_no using exact match | |
Invoice Prefix (string) or Invoice Prefix (null) (Invoice Prefix) Filter by invoice_prefix using exact match | |
InvoiceStatus (string) or Status (null) (Status) Filter by status using exact match | |
Customer Id (string) or Customer Id (null) (Customer Id) Filter by customer_id using exact match | |
Company (string) or Company (null) (Company) Filter by company using a case-insensitive partial match | |
Name (string) or Name (null) (Name) Filter by name using a case-insensitive partial match | |
Firstname (string) or Firstname (null) (Firstname) Filter by firstname using a case-insensitive partial match | |
City (string) or City (null) (City) Filter by city using a case-insensitive partial match | |
Postcode (string) or Postcode (null) (Postcode) Filter by postcode using a case-insensitive partial match | |
Invoice Date From (string) or Invoice Date From (null) (Invoice Date From) Filter by invoice_date greater than or equal | |
Invoice Date To (string) or Invoice Date To (null) (Invoice Date To) Filter by invoice_date less than or equal | |
Service Date From (string) or Service Date From (null) (Service Date From) Filter by service_date greater than or equal | |
Service Date To (string) or Service Date To (null) (Service Date To) Filter by service_date less than or equal | |
Due Date From (string) or Due Date From (null) (Due Date From) Filter by due_date greater than or equal | |
Due Date To (string) or Due Date To (null) (Due Date To) Filter by due_date less than or equal |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/invoices?skip=0&limit=100&sort_by=invoice_no&sort_order=asc&invoice_no=0&invoice_prefix=string&status=draft&customer_id=string&company=string&name=string&firstname=string&city=string&postcode=string&invoice_date_from=2019-08-24&invoice_date_to=2019-08-24&service_date_from=2019-08-24&service_date_to=2019-08-24&due_date_from=2019-08-24&due_date_to=2019-08-24' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "invoice_date": "2024-01-01",
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string",
- "status": "draft",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "has_embedded_xml": true,
- "is_einvoice_conform": true
}
}
]
}Post Invoice
Create a new draft invoice.
Authorizations:
Request Body schema: application/jsonrequired
| invoice_date required | string <date> (Invoice Date) Invoice date | ||||||||||||||||||||||||||
| service_date required | string <date> (Service Date) Service date | ||||||||||||||||||||||||||
| due_date required | string <date> (Due Date) Due date | ||||||||||||||||||||||||||
| street required | string (Street) Street | ||||||||||||||||||||||||||
| house_number required | string (House Number) House number | ||||||||||||||||||||||||||
| postcode required | string (Postcode) Postcode | ||||||||||||||||||||||||||
| city required | string (City) City | ||||||||||||||||||||||||||
required | Array of objects (Positions) | ||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||
Customer Id (string) or Customer Id (null) (Customer Id) Customer ID | |||||||||||||||||||||||||||
Any of string <uuid4> (Customer Id) Customer ID | |||||||||||||||||||||||||||
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Any of integer (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Reference Number (string) or Reference Number (null) (Reference Number) Optional reference number of the commercial document | |||||||||||||||||||||||||||
Any of <= 255 characters string (Reference Number) <= 255 characters Optional reference number of the commercial document | |||||||||||||||||||||||||||
Salutation (string) or Salutation (null) (Salutation) Salutation | |||||||||||||||||||||||||||
Any of string (Salutation) Salutation | |||||||||||||||||||||||||||
Name (string) or Name (null) (Name) Last name | |||||||||||||||||||||||||||
Any of string (Name) Last name | |||||||||||||||||||||||||||
Firstname (string) or Firstname (null) (Firstname) First name | |||||||||||||||||||||||||||
Any of string (Firstname) First name | |||||||||||||||||||||||||||
Company (string) or Company (null) (Company) Company | |||||||||||||||||||||||||||
Any of string (Company) Company | |||||||||||||||||||||||||||
House Number Addition (string) or House Number Addition (null) (House Number Addition) House number addition | |||||||||||||||||||||||||||
Any of string (House Number Addition) House number addition | |||||||||||||||||||||||||||
District (string) or District (null) (District) District | |||||||||||||||||||||||||||
Any of string (District) District | |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_date": "2024-01-01",
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}
]
}Response samples
- 201
- 404
- 422
- 500
- default
{- "invoice_id": "string"
}Post Invoice From Invoice
Create a new draft invoice from an existing invoice.
Authorizations:
Request Body schema: application/jsonrequired
| invoice_id required | string <uuid4> (Invoice Id) |
Invoice Date (string) or Invoice Date (null) (Invoice Date) | |
Any of string <date> (Invoice Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24",
- "invoice_id": "string"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "invoice_id": "string"
}Post Invoice From Order Confirmation
Create a new draft invoice from an existing order confirmation.
Authorizations:
Request Body schema: application/jsonrequired
| order_confirmation_id required | string <uuid4> (Order Confirmation Id) |
Invoice Date (string) or Invoice Date (null) (Invoice Date) | |
Any of string <date> (Invoice Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24",
- "order_confirmation_id": "string"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "invoice_id": "string"
}Post Invoice From Quotation
Create a new draft invoice from an existing quotation.
Authorizations:
Request Body schema: application/jsonrequired
| quotation_id required | string <uuid4> (Quotation Id) |
Invoice Date (string) or Invoice Date (null) (Invoice Date) | |
Any of string <date> (Invoice Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24",
- "quotation_id": "string"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "invoice_id": "string"
}Commit Invoice
Assign the final invoice number to a draft invoice.
Authorizations:
Request Body schema: application/jsonrequired
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_id": "string"
}Response samples
- 200
- 404
- 422
- 500
- default
{- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string"
}Patch Invoice Position
Update one existing invoice position for an editable invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
| invoice_position_id required | string <uuid4> (Invoice Position Id) |
Request Body schema: application/jsonrequired
Product Text (string) or Product Text (null) (Product Text) | |
Any of string (Product Text) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
(Net Price (Net Price (number) or Net Price (string))) or Net Price (null) (Net Price) | |
Any of Any of number (Net Price) | |
(Tax Rate (Tax Rate (number) or Tax Rate (string))) or Tax Rate (null) (Tax Rate) | |
Any of Any of number (Tax Rate) | |
(Product Count (Product Count (number) or Product Count (string))) or Product Count (null) (Product Count) | |
Any of Any of number (Product Count) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) | |
Any of string <uuid4> (Source Product Id) | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) | |
Any of string <uuid4> (Source Service Id) | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) | |
Any of string <uuid4> (Source Service Product Id) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}Remove Invoice Position
Delete one invoice position from an editable invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
| invoice_position_id required | string <uuid4> (Invoice Position Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/invoices/string/positions/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 409
- 422
- 500
- default
nullPost Invoice Position
Create one new invoice position for an editable invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Request Body schema: application/jsonrequired
| product_text required | string (Product Text) |
required | Net Price (number) or Net Price (string) (Net Price) |
Any of number (Net Price) | |
required | Tax Rate (number) or Tax Rate (string) (Tax Rate) |
Any of number (Tax Rate) | |
required | Product Count (number) or Product Count (string) (Product Count) |
Any of number (Product Count) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) Optional drilldown to the originating product | |
Any of string <uuid4> (Source Product Id) Optional drilldown to the originating product | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) Optional drilldown to the originating service | |
Any of string <uuid4> (Source Service Id) Optional drilldown to the originating service | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) Optional drilldown to the originating service product | |
Any of string <uuid4> (Source Service Product Id) Optional drilldown to the originating service product | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 201
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}List Extra Invoice Positions
Return imported extra invoice positions with customer and product details.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip for pagination |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
ExtraInvoicePositionStatus (string) or Status (null) (Status) Filter by processing status | |
Customer Id (string) or Customer Id (null) (Customer Id) Filter by customer ID | |
Billing Year From (integer) or Billing Year From (null) (Billing Year From) Start billing year | |
Billing Month From (integer) or Billing Month From (null) (Billing Month From) Start billing month | |
Billing Year To (integer) or Billing Year To (null) (Billing Year To) End billing year | |
Billing Month To (integer) or Billing Month To (null) (Billing Month To) End billing month |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/billing/extra-invoice-positions?skip=0&limit=100&status=pending&customer_id=string&billing_year_from=2000&billing_month_from=1&billing_year_to=2000&billing_month_to=1' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "extra_invoice_position_id": "string",
- "customer_id": "string",
- "product_id": "string",
- "billing_month": 0,
- "billing_year": 0,
- "quantity": "100.00",
- "unit_net_price": "100.00",
- "external_reference": "string",
- "description": "string",
- "status": "pending",
- "invoice_run_id": "string",
- "invoice_id": "string",
- "invoice_position_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "processed_at": "2019-08-24T14:15:22Z",
- "customer": {
- "customer_number": "456789",
- "debitor_account_no": 1000,
- "description": "Customer 1",
- "note": "Preferred contact via email",
- "invoice_grouping_override": "by_customer",
- "customer_group_id": "027480d3-e7ca-47e4-b515-eb12c17d5fb2",
- "billcycle_id": "1f68b834-6655-41ad-9b53-1cec389b9c46",
- "legal_form_id": "c31d65ec-d386-493e-ad46-773c403dc89d",
- "payment_target_id": "123e4567-e89b-12d3-a456-426614174000",
- "business_register": "Handelsregister",
- "registercode": "HRB",
- "registerplace": "Berlin",
- "tax_identification_no": "DE123456789",
- "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "anonymized_at": "2019-08-24T14:15:22Z",
- "payment_target": {
- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}, - "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}Import Extra Invoice Positions
Import one CSV file with extra invoice positions for monthly invoice runs.
Authorizations:
Request Body schema: multipart/form-datarequired
| file required | string <application/octet-stream> (File) |
| has_header required | boolean (Has Header) |
| encoding required | string (Encoding) |
| delimiter required | string (Delimiter) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/billing/extra-invoice-positions/import' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --form-string 'file=string' \ --form-string 'has_header=true' \ --form-string 'encoding=string' \ --form-string 'delimiter=string'
Response samples
- 200
- 413
- 422
- 500
- default
{- "status": "accepted",
- "total_rows": 0,
- "imported_rows": 0
}Patch Extra Invoice Position
Update one pending extra invoice position.
Authorizations:
path Parameters
| extra_invoice_position_id required | string <uuid4> (Extra Invoice Position Id) |
Request Body schema: application/jsonrequired
Customer Id (string) or Customer Id (null) (Customer Id) | |
Any of string <uuid4> (Customer Id) | |
Product Id (string) or Product Id (null) (Product Id) | |
Any of string <uuid4> (Product Id) | |
Billing Month (integer) or Billing Month (null) (Billing Month) | |
Any of [ 1 .. 12 ] integer (Billing Month) [ 1 .. 12 ] | |
Billing Year (integer) or Billing Year (null) (Billing Year) | |
Any of [ 2000 .. 2100 ] integer (Billing Year) [ 2000 .. 2100 ] | |
Quantity (number) or Quantity (string) or Quantity (null) (Quantity) | |
Any of > 0 number (Quantity) > 0 | |
(Unit Net Price (Unit Net Price (number) or Unit Net Price (string))) or Unit Net Price (null) (Unit Net Price) | |
Any of Any of >= 0 number (Unit Net Price) >= 0 | |
External Reference (string) or External Reference (null) (External Reference) | |
Any of [ 1 .. 255 ] characters string (External Reference) [ 1 .. 255 ] characters | |
Description (string) or Description (null) (Description) | |
Any of string (Description) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "customer_id": "string",
- "product_id": "string",
- "billing_month": 1,
- "billing_year": 2000,
- "quantity": 1,
- "unit_net_price": "100.00",
- "external_reference": "string",
- "description": "string"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "extra_invoice_position_id": "string",
- "customer_id": "string",
- "product_id": "string",
- "billing_month": 0,
- "billing_year": 0,
- "quantity": "100.00",
- "unit_net_price": "100.00",
- "external_reference": "string",
- "description": "string",
- "status": "pending",
- "invoice_run_id": "string",
- "invoice_id": "string",
- "invoice_position_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "processed_at": "2019-08-24T14:15:22Z",
- "customer": {
- "customer_number": "456789",
- "debitor_account_no": 1000,
- "description": "Customer 1",
- "note": "Preferred contact via email",
- "invoice_grouping_override": "by_customer",
- "customer_group_id": "027480d3-e7ca-47e4-b515-eb12c17d5fb2",
- "billcycle_id": "1f68b834-6655-41ad-9b53-1cec389b9c46",
- "legal_form_id": "c31d65ec-d386-493e-ad46-773c403dc89d",
- "payment_target_id": "123e4567-e89b-12d3-a456-426614174000",
- "business_register": "Handelsregister",
- "registercode": "HRB",
- "registerplace": "Berlin",
- "tax_identification_no": "DE123456789",
- "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "anonymized_at": "2019-08-24T14:15:22Z",
- "payment_target": {
- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}, - "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}Delete Extra Invoice Position
Delete one pending extra invoice position.
Authorizations:
path Parameters
| extra_invoice_position_id required | string <uuid4> (Extra Invoice Position Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/billing/extra-invoice-positions/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 409
- 422
- 500
- default
nullGet Not Billed Customers
Return customers that are billable for the given month and year but do not have an invoice yet.
Authorizations:
query Parameters
| month required | integer (Month) [ 1 .. 12 ] |
| year required | integer (Year) [ 2000 .. 2100 ] |
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Array of Customer Groups (strings) or Customer Groups (null) (Customer Groups) | |
Array of Billcycles (strings) or Billcycles (null) (Billcycles) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/not-billed-customers?month=1&year=2000&skip=0&limit=100&customer_groups=string&billcycles=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "street": "Musterstraße",
- "house_number": "15",
- "house_number_addition": "A",
- "city": "Musterstadt",
- "postcode": "24768",
- "district": "Musterbezirk",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "customer_id": "string"
}
]
}Invoice Proposal
Queue the creation of an invoice proposal for all matching customers.
Authorizations:
Request Body schema: application/jsonrequired
| month required | integer (Month) [ 1 .. 12 ] |
| year required | integer (Year) |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Label (string) or Label (null) (Label) | |
Any of <= 255 characters string (Label) <= 255 characters | |
Array of Customer Groups (strings) or Customer Groups (null) (Customer Groups) | |
Any of Array string <uuid4> | |
Array of Billcycles (strings) or Billcycles (null) (Billcycles) | |
Any of Array string <uuid4> | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "month": 1,
- "year": 0,
- "due_date": "2019-08-24",
- "label": "string",
- "customer_groups": [
- "string"
], - "billcycles": [
- "string"
]
}Response samples
- 201
- 422
- 500
- default
nullGet Invoice Runs
Return the most recent invoice runs.
Authorizations:
query Parameters
InvoiceRunStatus (string) or Status (null) (Status) Filter by status using exact match | |
Total Customers (integer) or Total Customers (null) (Total Customers) Filter by total_customers using exact match | |
Start Date From (string) or Start Date From (null) (Start Date From) Filter by start_date greater than or equal | |
Start Date To (string) or Start Date To (null) (Start Date To) Filter by start_date less than or equal | |
End Date From (string) or End Date From (null) (End Date From) Filter by end_date greater than or equal | |
End Date To (string) or End Date To (null) (End Date To) Filter by end_date less than or equal |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/invoice-runs?status=pending&total_customers=0&start_date_from=2019-08-24T14%3A15%3A22Z&start_date_to=2019-08-24T14%3A15%3A22Z&end_date_from=2019-08-24T14%3A15%3A22Z&end_date_to=2019-08-24T14%3A15%3A22Z' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
[- {
- "invoice_run_id": "string",
- "start_date": "2019-08-24T14:15:22Z",
- "end_date": "2019-08-24T14:15:22Z",
- "heartbeat_at": "2019-08-24T14:15:22Z",
- "due_date": "2019-08-24",
- "label": "string",
- "status": "pending",
- "month": 0,
- "year": 0,
- "customer_groups": [
- "string"
], - "billcycles": [
- "string"
], - "total_customers": 0,
- "processed_customers": 0,
- "failed_customers": 0,
- "created_invoices": 0,
- "recurring_billing_timing": "period_start",
- "invoice_grouping": "by_customer",
- "comment": "string"
}
]Get All Corrective Invoices
Return paginated corrective invoices including calculated totals.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "document_date" Enum: "document_no" "document_prefix" "document_date" "service_date" "due_date" "company" "name" "firstname" "city" "postcode" Field used for sorting |
| sort_order | string (Sort Order) Default: "desc" Enum: "asc" "desc" Sort direction |
Document No (integer) or Document No (null) (Document No) Filter by document number using exact match | |
Document Prefix (string) or Document Prefix (null) (Document Prefix) Filter by document prefix using exact match | |
Customer Id (string) or Customer Id (null) (Customer Id) Filter by customer_id using exact match | |
CommercialDocumentStatus (string) or Status (null) (Status) Filter by status using exact match | |
Company (string) or Company (null) (Company) Filter by company using a case-insensitive partial match | |
Name (string) or Name (null) (Name) Filter by name using a case-insensitive partial match | |
Firstname (string) or Firstname (null) (Firstname) Filter by firstname using a case-insensitive partial match | |
City (string) or City (null) (City) Filter by city using a case-insensitive partial match | |
Postcode (string) or Postcode (null) (Postcode) Filter by postcode using a case-insensitive partial match | |
Document Date From (string) or Document Date From (null) (Document Date From) Filter by document date greater than or equal | |
Document Date To (string) or Document Date To (null) (Document Date To) Filter by document date less than or equal | |
Service Date From (string) or Service Date From (null) (Service Date From) Filter by service_date greater than or equal | |
Service Date To (string) or Service Date To (null) (Service Date To) Filter by service_date less than or equal | |
Due Date From (string) or Due Date From (null) (Due Date From) Filter by due_date greater than or equal | |
Due Date To (string) or Due Date To (null) (Due Date To) Filter by due_date less than or equal |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/corrective-invoices?skip=0&limit=100&sort_by=document_no&sort_order=asc&document_no=0&document_prefix=string&customer_id=string&status=draft&company=string&name=string&firstname=string&city=string&postcode=string&document_date_from=2019-08-24&document_date_to=2019-08-24&service_date_from=2019-08-24&service_date_to=2019-08-24&due_date_from=2019-08-24&due_date_to=2019-08-24' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "corrective_invoice_date": "2024-01-01",
- "corrective_invoice_id": "string",
- "corrective_invoice_no": 0,
- "corrective_invoice_prefix": "string",
- "status": "draft",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "has_embedded_xml": true,
- "is_einvoice_conform": true
}
}
]
}Post Corrective Invoice
Create a new corrective invoice.
Authorizations:
Request Body schema: application/jsonrequired
| service_date required | string <date> (Service Date) Service date | ||||||||||||||||||||||||||
| due_date required | string <date> (Due Date) Due date | ||||||||||||||||||||||||||
| street required | string (Street) Street | ||||||||||||||||||||||||||
| house_number required | string (House Number) House number | ||||||||||||||||||||||||||
| postcode required | string (Postcode) Postcode | ||||||||||||||||||||||||||
| city required | string (City) City | ||||||||||||||||||||||||||
| corrective_invoice_date required | string <date> (Corrective Invoice Date) Corrective invoice date | ||||||||||||||||||||||||||
required | Array of objects (Positions) | ||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||
Customer Id (string) or Customer Id (null) (Customer Id) Customer ID | |||||||||||||||||||||||||||
Any of string <uuid4> (Customer Id) Customer ID | |||||||||||||||||||||||||||
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Any of integer (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Reference Number (string) or Reference Number (null) (Reference Number) Optional reference number of the commercial document | |||||||||||||||||||||||||||
Any of <= 255 characters string (Reference Number) <= 255 characters Optional reference number of the commercial document | |||||||||||||||||||||||||||
Salutation (string) or Salutation (null) (Salutation) Salutation | |||||||||||||||||||||||||||
Any of string (Salutation) Salutation | |||||||||||||||||||||||||||
Name (string) or Name (null) (Name) Last name | |||||||||||||||||||||||||||
Any of string (Name) Last name | |||||||||||||||||||||||||||
Firstname (string) or Firstname (null) (Firstname) First name | |||||||||||||||||||||||||||
Any of string (Firstname) First name | |||||||||||||||||||||||||||
Company (string) or Company (null) (Company) Company | |||||||||||||||||||||||||||
Any of string (Company) Company | |||||||||||||||||||||||||||
House Number Addition (string) or House Number Addition (null) (House Number Addition) House number addition | |||||||||||||||||||||||||||
Any of string (House Number Addition) House number addition | |||||||||||||||||||||||||||
District (string) or District (null) (District) District | |||||||||||||||||||||||||||
Any of string (District) District | |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "corrective_invoice_date": "2024-01-01",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}
]
}Response samples
- 201
- 404
- 422
- 500
- default
{- "corrective_invoice_id": "string"
}Get Corrective Invoice
Return one corrective invoice including all positions and calculated totals.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/corrective-invoices/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "corrective_invoice_date": "2024-01-01",
- "corrective_invoice_id": "string",
- "corrective_invoice_no": 0,
- "corrective_invoice_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "corrective_invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Patch Corrective Invoice
Update editable corrective invoice header fields. Positions use separate endpoints.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Request Body schema: application/jsonrequired
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Customer Id (string) or Customer Id (null) (Customer Id) | |
Any of string <uuid4> (Customer Id) | |
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) | |
Any of integer (Debitor Account No) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Reference Number (string) or Reference Number (null) (Reference Number) | |
Any of <= 255 characters string (Reference Number) <= 255 characters | |
Salutation (string) or Salutation (null) (Salutation) | |
Any of string (Salutation) | |
Name (string) or Name (null) (Name) | |
Any of string (Name) | |
Firstname (string) or Firstname (null) (Firstname) | |
Any of string (Firstname) | |
Company (string) or Company (null) (Company) | |
Any of string (Company) | |
Street (string) or Street (null) (Street) | |
Any of string (Street) | |
House Number (string) or House Number (null) (House Number) | |
Any of string (House Number) | |
House Number Addition (string) or House Number Addition (null) (House Number Addition) | |
Any of string (House Number Addition) | |
Postcode (string) or Postcode (null) (Postcode) | |
Any of string (Postcode) | |
City (string) or City (null) (City) | |
Any of string (City) | |
District (string) or District (null) (District) | |
Any of string (District) | |
Corrective Invoice Date (string) or Corrective Invoice Date (null) (Corrective Invoice Date) | |
Any of string <date> (Corrective Invoice Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "service_date": "2019-08-24",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2019-08-24",
- "reference_number": "string",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "corrective_invoice_date": "2019-08-24"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "corrective_invoice_date": "2024-01-01",
- "corrective_invoice_id": "string",
- "corrective_invoice_no": 0,
- "corrective_invoice_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "corrective_invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Delete Corrective Invoice
Delete an editable corrective invoice.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/corrective-invoices/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 409
- 422
- 500
- default
nullPost Corrective Invoice From Corrective Invoice
Create a new corrective invoice from an existing corrective invoice.
Authorizations:
Request Body schema: application/jsonrequired
| corrective_invoice_id required | string <uuid4> (Corrective Invoice Id) |
Corrective Invoice Date (string) or Corrective Invoice Date (null) (Corrective Invoice Date) | |
Any of string <date> (Corrective Invoice Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "corrective_invoice_id": "string",
- "corrective_invoice_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "corrective_invoice_id": "string"
}Post Corrective Invoice From Invoice
Create a new corrective invoice from an existing invoice.
Authorizations:
Request Body schema: application/jsonrequired
| invoice_id required | string <uuid4> (Invoice Id) |
Corrective Invoice Date (string) or Corrective Invoice Date (null) (Corrective Invoice Date) | |
Any of string <date> (Corrective Invoice Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "invoice_id": "string",
- "corrective_invoice_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "corrective_invoice_id": "string"
}Patch Corrective Invoice Position
Update one existing corrective invoice position for an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
| position_id required | string <uuid4> (Position Id) |
Request Body schema: application/jsonrequired
Product Text (string) or Product Text (null) (Product Text) | |
Any of string (Product Text) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
(Net Price (Net Price (number) or Net Price (string))) or Net Price (null) (Net Price) | |
Any of Any of number (Net Price) | |
(Tax Rate (Tax Rate (number) or Tax Rate (string))) or Tax Rate (null) (Tax Rate) | |
Any of Any of number (Tax Rate) | |
(Product Count (Product Count (number) or Product Count (string))) or Product Count (null) (Product Count) | |
Any of Any of number (Product Count) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) | |
Any of string <uuid4> (Source Product Id) | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) | |
Any of string <uuid4> (Source Service Id) | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) | |
Any of string <uuid4> (Source Service Product Id) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "corrective_invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}Remove Corrective Invoice Position
Delete one corrective invoice position from an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
| position_id required | string <uuid4> (Position Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/corrective-invoices/string/positions/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 409
- 422
- 500
- default
nullPost Corrective Invoice Position
Create one new corrective invoice position for an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Request Body schema: application/jsonrequired
| product_text required | string (Product Text) |
required | Net Price (number) or Net Price (string) (Net Price) |
Any of number (Net Price) | |
required | Tax Rate (number) or Tax Rate (string) (Tax Rate) |
Any of number (Tax Rate) | |
required | Product Count (number) or Product Count (string) (Product Count) |
Any of number (Product Count) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) Optional drilldown to the originating product | |
Any of string <uuid4> (Source Product Id) Optional drilldown to the originating product | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) Optional drilldown to the originating service | |
Any of string <uuid4> (Source Service Id) Optional drilldown to the originating service | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) Optional drilldown to the originating service product | |
Any of string <uuid4> (Source Service Product Id) Optional drilldown to the originating service product | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 201
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "corrective_invoice_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}Get Quotation
Return one quotation including all positions and calculated totals.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/quotations/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "quotation_date": "2024-01-01",
- "quotation_id": "string",
- "quotation_no": 0,
- "quotation_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "quotation_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Patch Quotation
Update editable quotation header fields. Positions use separate endpoints.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Request Body schema: application/jsonrequired
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Customer Id (string) or Customer Id (null) (Customer Id) | |
Any of string <uuid4> (Customer Id) | |
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) | |
Any of integer (Debitor Account No) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Reference Number (string) or Reference Number (null) (Reference Number) | |
Any of <= 255 characters string (Reference Number) <= 255 characters | |
Salutation (string) or Salutation (null) (Salutation) | |
Any of string (Salutation) | |
Name (string) or Name (null) (Name) | |
Any of string (Name) | |
Firstname (string) or Firstname (null) (Firstname) | |
Any of string (Firstname) | |
Company (string) or Company (null) (Company) | |
Any of string (Company) | |
Street (string) or Street (null) (Street) | |
Any of string (Street) | |
House Number (string) or House Number (null) (House Number) | |
Any of string (House Number) | |
House Number Addition (string) or House Number Addition (null) (House Number Addition) | |
Any of string (House Number Addition) | |
Postcode (string) or Postcode (null) (Postcode) | |
Any of string (Postcode) | |
City (string) or City (null) (City) | |
Any of string (City) | |
District (string) or District (null) (District) | |
Any of string (District) | |
Quotation Date (string) or Quotation Date (null) (Quotation Date) | |
Any of string <date> (Quotation Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "service_date": "2019-08-24",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2019-08-24",
- "reference_number": "string",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "quotation_date": "2019-08-24"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "quotation_date": "2024-01-01",
- "quotation_id": "string",
- "quotation_no": 0,
- "quotation_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "quotation_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Delete Quotation
Delete an editable quotation.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/quotations/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 409
- 422
- 500
- default
nullGet All Quotations
Return paginated quotations including calculated totals.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "document_date" Enum: "document_no" "document_prefix" "document_date" "service_date" "due_date" "company" "name" "firstname" "city" "postcode" Field used for sorting |
| sort_order | string (Sort Order) Default: "desc" Enum: "asc" "desc" Sort direction |
Document No (integer) or Document No (null) (Document No) Filter by document number using exact match | |
Document Prefix (string) or Document Prefix (null) (Document Prefix) Filter by document prefix using exact match | |
Customer Id (string) or Customer Id (null) (Customer Id) Filter by customer_id using exact match | |
CommercialDocumentStatus (string) or Status (null) (Status) Filter by status using exact match | |
Company (string) or Company (null) (Company) Filter by company using a case-insensitive partial match | |
Name (string) or Name (null) (Name) Filter by name using a case-insensitive partial match | |
Firstname (string) or Firstname (null) (Firstname) Filter by firstname using a case-insensitive partial match | |
City (string) or City (null) (City) Filter by city using a case-insensitive partial match | |
Postcode (string) or Postcode (null) (Postcode) Filter by postcode using a case-insensitive partial match | |
Document Date From (string) or Document Date From (null) (Document Date From) Filter by document date greater than or equal | |
Document Date To (string) or Document Date To (null) (Document Date To) Filter by document date less than or equal | |
Service Date From (string) or Service Date From (null) (Service Date From) Filter by service_date greater than or equal | |
Service Date To (string) or Service Date To (null) (Service Date To) Filter by service_date less than or equal | |
Due Date From (string) or Due Date From (null) (Due Date From) Filter by due_date greater than or equal | |
Due Date To (string) or Due Date To (null) (Due Date To) Filter by due_date less than or equal |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/quotations?skip=0&limit=100&sort_by=document_no&sort_order=asc&document_no=0&document_prefix=string&customer_id=string&status=draft&company=string&name=string&firstname=string&city=string&postcode=string&document_date_from=2019-08-24&document_date_to=2019-08-24&service_date_from=2019-08-24&service_date_to=2019-08-24&due_date_from=2019-08-24&due_date_to=2019-08-24' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "quotation_date": "2024-01-01",
- "quotation_id": "string",
- "quotation_no": 0,
- "quotation_prefix": "string",
- "status": "draft",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "has_embedded_xml": true,
- "is_einvoice_conform": true
}
}
]
}Post Quotation
Create a new quotation.
Authorizations:
Request Body schema: application/jsonrequired
| service_date required | string <date> (Service Date) Service date | ||||||||||||||||||||||||||
| due_date required | string <date> (Due Date) Due date | ||||||||||||||||||||||||||
| street required | string (Street) Street | ||||||||||||||||||||||||||
| house_number required | string (House Number) House number | ||||||||||||||||||||||||||
| postcode required | string (Postcode) Postcode | ||||||||||||||||||||||||||
| city required | string (City) City | ||||||||||||||||||||||||||
| quotation_date required | string <date> (Quotation Date) Quotation date | ||||||||||||||||||||||||||
required | Array of objects (Positions) | ||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||
Customer Id (string) or Customer Id (null) (Customer Id) Customer ID | |||||||||||||||||||||||||||
Any of string <uuid4> (Customer Id) Customer ID | |||||||||||||||||||||||||||
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Any of integer (Debitor Account No) Debitor account number snapshot | |||||||||||||||||||||||||||
Reference Number (string) or Reference Number (null) (Reference Number) Optional reference number of the commercial document | |||||||||||||||||||||||||||
Any of <= 255 characters string (Reference Number) <= 255 characters Optional reference number of the commercial document | |||||||||||||||||||||||||||
Salutation (string) or Salutation (null) (Salutation) Salutation | |||||||||||||||||||||||||||
Any of string (Salutation) Salutation | |||||||||||||||||||||||||||
Name (string) or Name (null) (Name) Last name | |||||||||||||||||||||||||||
Any of string (Name) Last name | |||||||||||||||||||||||||||
Firstname (string) or Firstname (null) (Firstname) First name | |||||||||||||||||||||||||||
Any of string (Firstname) First name | |||||||||||||||||||||||||||
Company (string) or Company (null) (Company) Company | |||||||||||||||||||||||||||
Any of string (Company) Company | |||||||||||||||||||||||||||
House Number Addition (string) or House Number Addition (null) (House Number Addition) House number addition | |||||||||||||||||||||||||||
Any of string (House Number Addition) House number addition | |||||||||||||||||||||||||||
District (string) or District (null) (District) District | |||||||||||||||||||||||||||
Any of string (District) District | |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "quotation_date": "2024-01-01",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}
]
}Response samples
- 201
- 404
- 422
- 500
- default
{- "quotation_id": "string"
}Post Quotation From Quotation
Create a new quotation from an existing quotation.
Authorizations:
Request Body schema: application/jsonrequired
| quotation_id required | string <uuid4> (Quotation Id) |
Quotation Date (string) or Quotation Date (null) (Quotation Date) | |
Any of string <date> (Quotation Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "quotation_id": "string",
- "quotation_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24"
}Response samples
- 201
- 404
- 422
- 500
- default
{- "quotation_id": "string"
}Patch Quotation Position
Update one existing quotation position for an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
| position_id required | string <uuid4> (Position Id) |
Request Body schema: application/jsonrequired
Product Text (string) or Product Text (null) (Product Text) | |
Any of string (Product Text) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
(Net Price (Net Price (number) or Net Price (string))) or Net Price (null) (Net Price) | |
Any of Any of number (Net Price) | |
(Tax Rate (Tax Rate (number) or Tax Rate (string))) or Tax Rate (null) (Tax Rate) | |
Any of Any of number (Tax Rate) | |
(Product Count (Product Count (number) or Product Count (string))) or Product Count (null) (Product Count) | |
Any of Any of number (Product Count) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) | |
Any of string <uuid4> (Source Product Id) | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) | |
Any of string <uuid4> (Source Service Id) | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) | |
Any of string <uuid4> (Source Service Product Id) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 200
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "quotation_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}Remove Quotation Position
Delete one quotation position from an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
| position_id required | string <uuid4> (Position Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/quotations/string/positions/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 409
- 422
- 500
- default
nullPost Quotation Position
Create one new quotation position for an editable document.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Request Body schema: application/jsonrequired
| product_text required | string (Product Text) |
required | Net Price (number) or Net Price (string) (Net Price) |
Any of number (Net Price) | |
required | Tax Rate (number) or Tax Rate (string) (Tax Rate) |
Any of number (Tax Rate) | |
required | Product Count (number) or Product Count (string) (Product Count) |
Any of number (Product Count) | |
Product Description (string) or Product Description (null) (Product Description) | |
Any of string (Product Description) | |
Service Date From (string) or Service Date From (null) (Service Date From) | |
Any of string <date> (Service Date From) | |
Service Date To (string) or Service Date To (null) (Service Date To) | |
Any of string <date> (Service Date To) | |
Product Unit (string) or Product Unit (null) (Product Unit) | |
Any of string (Product Unit) | |
Account (string) or Account (null) (Account) | |
Any of string (Account) | |
Account No (string) or Account No (null) (Account No) | |
Any of string (Account No) | |
Source Product Id (string) or Source Product Id (null) (Source Product Id) Optional drilldown to the originating product | |
Any of string <uuid4> (Source Product Id) Optional drilldown to the originating product | |
Source Service Id (string) or Source Service Id (null) (Source Service Id) Optional drilldown to the originating service | |
Any of string <uuid4> (Source Service Id) Optional drilldown to the originating service | |
Source Service Product Id (string) or Source Service Product Id (null) (Source Service Product Id) Optional drilldown to the originating service product | |
Any of string <uuid4> (Source Service Product Id) Optional drilldown to the originating service product | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string"
}Response samples
- 201
- 404
- 409
- 422
- 500
- default
{- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "quotation_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}Get Order Confirmation
Return one order confirmation including all positions and calculated totals.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/order-confirmations/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "service_date": "2024-01-01",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2024-01-31",
- "reference_number": "RE-10042",
- "salutation": "string",
- "name": "string",
- "firstname": "string",
- "company": "string",
- "street": "string",
- "house_number": "string",
- "house_number_addition": "string",
- "postcode": "string",
- "city": "string",
- "district": "string",
- "order_confirmation_date": "2024-01-01",
- "order_confirmation_id": "string",
- "order_confirmation_no": 0,
- "order_confirmation_prefix": "string",
- "status": "draft",
- "positions": [
- {
- "product_text": "string",
- "product_description": "string",
- "net_price": "100.00",
- "tax_rate": "100.00",
- "product_count": "100.00",
- "service_date_from": "2019-08-24",
- "service_date_to": "2019-08-24",
- "product_unit": "string",
- "account": "string",
- "account_no": "string",
- "source_product_id": "string",
- "source_service_id": "string",
- "source_service_product_id": "string",
- "product_number_snapshot": 0,
- "product_group_name_snapshot": "string",
- "order_confirmation_position_id": "string",
- "position": 0,
- "full_price_net": "100.00",
- "full_price_gross": "100.00",
- "tax": "100.00"
}
], - "net_sum": "100.00",
- "tax_sum": "100.00",
- "tax": [
- {
- "tax_rate": "100.00",
- "net_sum": "100.00",
- "tax_sum": "100.00",
- "gross_sum": "100.00"
}
], - "gross_sum": "100.00",
- "document": {
- "document_id": "string",
- "customer_id": "string",
- "service_id": "string",
- "document_type_key": "invoice",
- "source_document_id": "string",
- "source_document_type_key": "invoice",
- "has_embedded_xml": true,
- "embedded_xml_filename": "string",
- "is_einvoice_conform": true,
- "template_id": "string",
- "display_name": "string",
- "description": "string",
- "document_date": "2019-08-24",
- "created_by": "string",
- "last_change": "2019-08-24T14:15:22Z",
- "template": {
- "template_family_id": "string",
- "version_no": 1,
- "previous_template_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "template_id": "string",
- "document_type_key": "invoice",
- "style_id": "string",
- "background_id": "string",
- "background": {
- "background_id": "string",
- "background_key": "string",
- "source_type": "html",
- "style_id": "string",
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "template_key": "string",
- "is_default": true,
- "is_active": true,
- "last_change": "2019-08-24T14:15:22Z"
}, - "active_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest_storage_object": {
- "storage_object_id": "string",
- "storage_profile": "string",
- "bucket_name": "string",
- "object_key": "string",
- "original_filename": "string",
- "mime_type": "string",
- "file_size": 0,
- "etag": "string",
- "version_id": "string",
- "sha256_checksum": "string",
- "is_active": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_change": "2019-08-24T14:15:22Z"
}, - "render_manifest": { },
- "has_active_file": true,
- "has_xml_file": true,
- "has_render_manifest": true
}
}Patch Order Confirmation
Update editable order confirmation header fields. Positions use separate endpoints.
Authorizations:
path Parameters
| document_id required | string <uuid4> (Document Id) |
Request Body schema: application/jsonrequired
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Customer Id (string) or Customer Id (null) (Customer Id) | |
Any of string <uuid4> (Customer Id) | |
Debitor Account No (integer) or Debitor Account No (null) (Debitor Account No) | |
Any of integer (Debitor Account No) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Reference Number (string) or Reference Number (null) (Reference Number) | |
Any of <= 255 characters string (Reference Number) <= 255 characters | |
Salutation (string) or Salutation (null) (Salutation) | |
Any of string (Salutation) | |
Name (string) or Name (null) (Name) | |
Any of string (Name) | |
Firstname (string) or Firstname (null) (Firstname) | |
Any of string (Firstname) | |
Company (string) or Company (null) (Company) | |
Any of string (Company) | |
Street (string) or Street (null) (Street) | |
Any of string (Street) | |
House Number (string) or House Number (null) (House Number) | |
Any of string (House Number) | |
House Number Addition (string) or House Number Addition (null) (House Number Addition) | |
Any of string (House Number Addition) | |
Postcode (string) or Postcode (null) (Postcode) | |
Any of string (Postcode) | |
City (string) or City (null) (City) | |
Any of string (City) | |
District (string) or District (null) (District) | |
Any of string (District) | |
Order Confirmation Date (string) or Order Confirmation Date (null) (Order Confirmation Date) | |
Any of string <date> (Order Confirmation Date) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "service_date": "2019-08-24",
- "customer_id": "string",
- "debitor_account_no": 0,
- "due_date": "2019-08-24",
[...]
